Upstream information

CVE-2016-7446 at MITRE

Description

Buffer overflow in the MVG and SVG rendering code in GraphicsMagick 1.3.24 allows remote attackers to have unspecified impact via unknown vectors. Note: This vulnerability exists due to an incomplete patch for CVE-2016-2317.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 7.5 6.8
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network Network
Access Complexity Low Medium
Authentication None None
Confidentiality Impact Partial Partial
Integrity Impact Partial Partial
Availability Impact Partial Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 9.8
Vector AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High
SUSE Bugzilla entry: 999673 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Software Development Kit 11 SP4
  • GraphicsMagick >= 1.2.5-4.46.1
  • libGraphicsMagick2 >= 1.2.5-4.46.1
  • perl-GraphicsMagick >= 1.2.5-4.46.1
Patchnames:
sdksp4-GraphicsMagick-12835
SUSE Studio Onsite 1.3
  • GraphicsMagick >= 1.2.5-4.46.1
  • libGraphicsMagick2 >= 1.2.5-4.46.1
Patchnames:
slestso13-GraphicsMagick-12835
openSUSE Leap 42.1
  • GraphicsMagick >= 1.3.21-14.1
  • GraphicsMagick-debuginfo >= 1.3.21-14.1
  • GraphicsMagick-debugsource >= 1.3.21-14.1
  • GraphicsMagick-devel >= 1.3.21-14.1
  • libGraphicsMagick++-Q16-11 >= 1.3.21-14.1
  • libGraphicsMagick++-Q16-11-debuginfo >= 1.3.21-14.1
  • libGraphicsMagick++-devel >= 1.3.21-14.1
  • libGraphicsMagick-Q16-3 >= 1.3.21-14.1
  • libGraphicsMagick-Q16-3-debuginfo >= 1.3.21-14.1
  • libGraphicsMagick3-config >= 1.3.21-14.1
  • libGraphicsMagickWand-Q16-2 >= 1.3.21-14.1
  • libGraphicsMagickWand-Q16-2-debuginfo >= 1.3.21-14.1
  • perl-GraphicsMagick >= 1.3.21-14.1
  • perl-GraphicsMagick-debuginfo >= 1.3.21-14.1
Patchnames:
openSUSE-2016-1229


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP1 ImageMagick Not affected
SUSE Linux Enterprise SDK 11 SP2 GraphicsMagick Released
SUSE Linux Enterprise SDK 11 SP3 GraphicsMagick Released
SUSE Linux Enterprise SDK 11 SP4 GraphicsMagick Released
SUSE Linux Enterprise SDK 11 SP4 ImageMagick Not affected
SUSE Linux Enterprise SDK 12 GA ImageMagick Not affected
SUSE Linux Enterprise SDK 12 SP1 ImageMagick Not affected
SUSE Linux Enterprise Server 11 SP2 LTSS ImageMagick Not affected
SUSE Linux Enterprise Server 11 SP3 LTSS ImageMagick Not affected
SUSE Linux Enterprise Server 11 SP4 ImageMagick Not affected
SUSE Linux Enterprise Server 12 GA LTSS ImageMagick Not affected
SUSE Linux Enterprise Server 12 SP1 ImageMagick Not affected
SUSE Linux Enterprise Workstation Extension 12 GA ImageMagick Not affected
SUSE Linux Enterprise Workstation Extension 12 SP1 ImageMagick Not affected
SUSE Studio Onsite 1.3 GraphicsMagick Released
SUSE Studio Onsite Runner 1 GraphicsMagick Released